package w83b.w83bBeans;

import java.sql.ResultSet;

import w83b.util.jdbc.W83bDataBase;
import w83b.w83bDAO.w83bConstantesBD.W83bCierreBD;
/**
 * 
 * 
 * @author jroncal
 * 
 */
public class W83bCierreMensualBean extends W83bBaseBean implements W83bBaseBeanBD{
	private static final long	serialVersionUID	= 1L;

	private String territorio = "";
	private String anocierre = "";
	private String mescierre = "";
	private String fechaelecciondesde = "";
	private String fechaeleccionhasta = "";
	private String fecharegistrodesde = "";
	private String fecharegistrohasta = "";
	private String perfil = "";
	private int ela = 0;
	private int lab = 0;
	private int ccoo = 0;
	private int ugt = 0;
	private int uso = 0;
	private int cuis = 0;
	private int cti = 0;
	private int csi = 0;
	private int nosin = 0;
	private int otros = 0;
	private int totaldel = 0;
	private String texto = "";
	private String mes = "";
	private String araba = "";
	private String bizkaia = "";
	private String gipuzkoa = "";
	private String nacta = "";
	private String anoacta = "";
	private String numacta = "";
	private String nregdef = "";
	private String felec = "";
	private String cif = "";
	private String razon = "";
	private String ncentro = "";
	private String descTerritorio = "";
	private String tienedatos = "no";
	private String deshacercierre ="";
	private String mesanterior ="";
	private String fechaultimocierre="";
	
	/**
	 * @return
	 */
	public String getTerritorio() {
		return territorio;
	}

	/**
	 * @param territorio
	 */
	/**
	 * @param territorio
	 */
	public void setTerritorio(String territorio) {
		this.territorio = territorio;
	}

	/**
	 * @return
	 */
	public String getAnocierre() {
		return anocierre;
	}

	/**
	 * @param anocierre
	 */
	public void setAnocierre(String anocierre) {
		this.anocierre = anocierre;
	}

	/**
	 * @return
	 */
	public String getMescierre() {
		return mescierre;
	}

	/**
	 * @param mescierre
	 */
	public void setMescierre(String mescierre) {
		this.mescierre = mescierre;
	}

	/**
	 * @return
	 */
	public String getFechaelecciondesde() {
		return fechaelecciondesde;
	}

	/**
	 * @param fechaelecciondesde
	 */
	public void setFechaelecciondesde(String fechaelecciondesde) {
		this.fechaelecciondesde = fechaelecciondesde;
	}

	/**
	 * @return
	 */
	public String getFechaeleccionhasta() {
		return fechaeleccionhasta;
	}

	/**
	 * @param fechaeleccionhasta
	 */
	public void setFechaeleccionhasta(String fechaeleccionhasta) {
		this.fechaeleccionhasta = fechaeleccionhasta;
	}

	/**
	 * @return
	 */
	public String getFecharegistrodesde() {
		return fecharegistrodesde;
	}

	/**
	 * @param fecharegistrodesde
	 */
	public void setFecharegistrodesde(String fecharegistrodesde) {
		this.fecharegistrodesde = fecharegistrodesde;
	}

	/**
	 * @return
	 */
	public String getFecharegistrohasta() {
		return fecharegistrohasta;
	}

	/**
	 * @param fecharegistrohasta
	 */
	public void setFecharegistrohasta(String fecharegistrohasta) {
		this.fecharegistrohasta = fecharegistrohasta;
	}

	/**
	 * @return
	 */
	public String getPerfil() {
		return perfil;
	}

	/**
	 * @param perfil
	 */
	public void setPerfil(String perfil) {
		this.perfil = perfil;
	}

	/**
	 * @return
	 */
	public int getEla() {
		return ela;
	}

	/**
	 * @param ela
	 */
	public void setEla(int ela) {
		this.ela = ela;
	}

	/**
	 * @return
	 */
	public int getLab() {
		return lab;
	}

	/**
	 * @param lab
	 */
	public void setLab(int lab) {
		this.lab = lab;
	}

	/**
	 * @return
	 */
	public int getCcoo() {
		return ccoo;
	}

	/**
	 * @param ccoo
	 */
	public void setCcoo(int ccoo) {
		this.ccoo = ccoo;
	}

	/**
	 * @return
	 */
	public int getUgt() {
		return ugt;
	}

	/**
	 * @param ugt
	 */
	public void setUgt(int ugt) {
		this.ugt = ugt;
	}

	/**
	 * @return
	 */
	public int getOtros() {
		return otros;
	}

	/**
	 * @param otros
	 */
	public void setOtros(int otros) {
		this.otros = otros;
	}

	/**
	 * @return
	 */
	public int getTotaldel() {
		return totaldel;
	}

	/**
	 * @param totaldel
	 */
	public void setTotaldel(int totaldel) {
		this.totaldel = totaldel;
	}

	/**
	 * @return
	 */
	public String getTexto() {
		return texto;
	}

	/**
	 * @param texto
	 */
	public void setTexto(String texto) {
		this.texto = texto;
	}

	/**
	 * @return
	 */
	public String getMes() {
		return mes;
	}

	/**
	 * @param mes
	 */
	public void setMes(String mes) {
		this.mes = mes;
	}
	
	

	public String getAraba() {
		return araba;
	}

	public void setAraba(String araba) {
		this.araba = araba;
	}

	public String getBizkaia() {
		return bizkaia;
	}

	public void setBizkaia(String bizkaia) {
		this.bizkaia = bizkaia;
	}

	public String getGipuzkoa() {
		return gipuzkoa;
	}

	public void setGipuzkoa(String gipuzkoa) {
		this.gipuzkoa = gipuzkoa;
	}

	public String getNacta() {
		return nacta;
	}

	public void setNacta(String nacta) {
		this.nacta = nacta;
	}

	public String getAnoacta() {
		return anoacta;
	}

	public void setAnoacta(String anoacta) {
		this.anoacta = anoacta;
	}

	public String getNumacta() {
		return numacta;
	}

	public void setNumacta(String numacta) {
		this.numacta = numacta;
	}

	public String getNregdef() {
		return nregdef;
	}

	public void setNregdef(String nregdef) {
		this.nregdef = nregdef;
	}

	public String getFelec() {
		return felec;
	}

	public void setFelec(String felec) {
		this.felec = felec;
	}

	public String getCif() {
		return cif;
	}

	public void setCif(String cif) {
		this.cif = cif;
	}

	public String getRazon() {
		return razon;
	}

	public void setRazon(String razon) {
		this.razon = razon;
	}

	public String getNcentro() {
		return ncentro;
	}

	public void setNcentro(String ncentro) {
		this.ncentro = ncentro;
	}

	public String getDescTerritorio() {
		return descTerritorio;
	}

	public void setDescTerritorio(String descTerritorio) {
		this.descTerritorio = descTerritorio;
	}

	public int getUso() {
		return uso;
	}

	public void setUso(int uso) {
		this.uso = uso;
	}

	public int getCuis() {
		return cuis;
	}

	public void setCuis(int cuis) {
		this.cuis = cuis;
	}

	public int getCti() {
		return cti;
	}

	public void setCti(int cti) {
		this.cti = cti;
	}

	public int getCsi() {
		return csi;
	}

	public void setCsi(int csi) {
		this.csi = csi;
	}

	public int getNosin() {
		return nosin;
	}

	public void setNosin(int nosin) {
		this.nosin = nosin;
	}

	public String getTienedatos() {
		return tienedatos;
	}

	public void setTienedatos(String tienedatos) {
		this.tienedatos = tienedatos;
	}
	
	public String getDeshacercierre() {
		return deshacercierre;
	}

	public void setDeshacercierre(String deshacercierre) {
		this.deshacercierre = deshacercierre;
	}

	public String getMesanterior() {
		return mesanterior;
	}

	public void setMesanterior(String mesanterior) {
		this.mesanterior = mesanterior;
	}
	
	public String getFechaultimocierre() {
		return fechaultimocierre;
	}

	public void setFechaultimocierre(String fechaultimocierre) {
		this.fechaultimocierre = fechaultimocierre;
	}

	/* (non-Javadoc)
	 * @see w83b.w83bBeans.W83bBaseBeanBD#rowToBean(java.lang.Object, java.lang.Object)
	 */
	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		// TODO Auto-generated method stub
		ResultSet rs = (ResultSet)o;//NOPMD
		this.anocierre = W83bDataBase.getStringFromRS(rs, W83bCierreBD.anocierre);
		this.mescierre = W83bDataBase.getStringFromRS(rs, W83bCierreBD.mescierre);
		this.araba = W83bDataBase.getStringFromRS(rs, W83bCierreBD.cierrealava);
		this.bizkaia = W83bDataBase.getStringFromRS(rs, W83bCierreBD.cierrebizkaia);
		this.gipuzkoa = W83bDataBase.getStringFromRS(rs, W83bCierreBD.cierregipuzkoa);
		this.idioma = String.valueOf(otrosValores);
		return this;
	}

}
